Bug 128212 - Add LZW compression support
Add LZW compression support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-20 04:28 EDT by Sven Neuhaus
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-22 14:54:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Neuhaus 2004-07-20 04:28:18 EDT
libtiff comes without LZW compression support.
The Unisys patent on LZW has now expired everywhere. It can be added
back in.

I can provide a spec file that builds libtiff with LZW compression
(using the libtiff-lzw-compression-kit-1.5.tar.gz package) if necessary.
Comment 1 Matthias Clasen 2004-08-30 09:51:05 EDT
The libtiff website contains the following comment on lzw compression:

It appears that Unisys is actively pursuing copyright control on the
LZW compression algorithm. In particular, users of the LZW compression
within the TIFF framework. For this reason the TIFF 6.0 spec states
that LZW compression is not recommended. It is unclear at this time
what compression algorithm will be used in place of it. I have no idea
what this means to you or to this library. I make no warranty or
guarantees with regard to the LZW support in this library.

Comment 2 Sven Neuhaus 2004-08-31 04:28:43 EDT
You looked at an outdated version of the webpage.
The mirrored page at http://www.libtiff.org/misc.html is dated
2003/12/23 10:28:17, 
the authorative page at http://www.remotesensing.org/libtiff/misc.html
is dated 2004/08/11 05:11:25 and no longer carries this notice.

Please reconsider.
Comment 3 Robert Scheck 2004-12-22 06:52:05 EST
Sven, if we would upgrade libtiff to 3.7.1, lzw support is a) delivered
directly with libtiff and b) could be also enabled; see bug #143560.

Note You need to log in before you can comment on or make changes to this bug.